---
###############################################
#
#  Configuration file for CSST object injection
#      Last modified: 2022/06/19
#
###############################################
# n_objects: 500
rotate_objs: NO
run_name: "test_20240421"
project_cycle: 9
run_counter: 1

pos_sampling:
  type: "HexGrid"
  # type: "RectGrid"
  # grid_spacing: 18.5 # arcsec (~250 pixels)
  grid_spacing: 15 # arcsec (~500 pixels)
  # type: "uniform"
  # object_density: 37 # arcmin^-2

# output_img_dir: "/public/home/fangyuedong/project/injection_pipeline/workspace"

###############################################
# PSF setting
###############################################
psf_setting:
  
  # Which PSF model to use:
  # "Gauss": simple gaussian profile
  # "Interp": Interpolated PSF from sampled ray-tracing data
  psf_model: "Interp"

  # PSF size [arcseconds]
  # radius of 80% energy encircled
  # NOTE: only valid for "Gauss" PSF
  psf_rcont: 0.15

  # path to PSF data
  # NOTE: only valid for "Interp" PSF
  psf_pho_dir: "/public/share/yangxuliu/CSSOSDataProductsSims/dataC6/psfCube1"
  psf_sls_dir: "/share/simudata/CSSOSDataProductsSims/data/SLS_PSF_PCA_fp/"

###############################################
# Input path setting
###############################################
# Default path settings for NGP footprint simulation
catalog_options:
  input_path:
    cat_dir: "/public/share/yangxuliu/CSSOSDataProductsSims/data_50sqDeg/"
    galaxy_cat: "qsocat/cat2CSSTSim_bundle-50sqDeg/"

  SED_templates_path:
    galaxy_SED: "/public/share/yangxuliu/CSSOSDataProductsSims/data_50sqDeg/sedlibs/"

  # rotate galaxy ellipticity
  rotateEll: 0. # [degree]


###############################################
# Instrumental effects setting
# (NOTE) Here only used to construct
# observation_sim.instruments.chip object
# (TODO) Should readout from header
###############################################
ins_effects:
  # switches
  # bright_fatter:  ON # Whether to simulate Brighter-Fatter (also diffusion) effect

  # values
  # dark_exptime:   300   # Exposure time for dark current frames [seconds]
  # flat_exptime:   150   # Exposure time for flat-fielding frames [seconds]
  # readout_time:   40    # The read-out time for each channel [seconds]
  # df_strength:    2.3   # Sillicon sensor diffusion strength
  # bias_level:     500   # bias level [e-/pixel]
  # gain:           1.1   # Gain
  # full_well:      90000 # Full well depth [e-]

###############################################
# Random seeds
###############################################
# random_seeds:
#   seed_Av:              121212    # Seed for generating random intrinsic extinction

###############################################
# Measurement setting
###############################################
measurement_setting:
  input_img_list: "/share/home/fangyuedong/injection_pipeline/injected_L1_img_MSC_0000000.list"
  # input_img_list: "/share/home/fangyuedong/injection_pipeline/input_L1_img_MSC_0000000.list"
  input_wht_list: "/share/home/fangyuedong/injection_pipeline/L1_wht_img_MSC_0000000.list"
  input_flg_list: "/share/home/fangyuedong/injection_pipeline/L1_flg_img_MSC_0000000.list"
  input_psf_list: "/share/home/fangyuedong/injection_pipeline/psf_img_MSC_0000000.list"
  sex_config: "/share/home/fangyuedong/injection_pipeline/config/default.config"
  sex_param: "/share/home/fangyuedong/injection_pipeline/config/default.param"
  n_jobs: 8
  output_dir: "/share/home/fangyuedong/injection_pipeline/workspace"